## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# STLHelper.hpp File Reference

Include dependency graph for STLHelper.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- struct XalanDestroyFunctor
- struct DeleteFunctor
    Functor to delete objects, used in STL iteration algorithms. More...
- struct select1st
    Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms. More...
- struct select2nd
    Functor to retrieve the value of a key-value pair in a map, used in STL iteration algorithms. More...
- struct ClearFunctor
    Functor to call a clear() member function on its argument. More...
- struct MapValueDeleteFunctor
    Functor to delete value objects in maps, used in STL iteration algorithms. More...
- struct less_null_terminated_arrays
    This functor is designed to compare 0-terminated arrays. More...
- struct equal_null_terminated_arrays
- struct hash_null_terminated_arrays
- struct XalanMapKeyTraits< const XalanDOMChar * >
- class CollectionClearGuard
- class CollectionDeleteGuard
- struct pointer_equals
- struct pointer_equals_predicate
- struct pointer_less
- struct pointer_equal

## Defines

- #define STLHELPERS_HEADER_GUARD_1357924680

## Functions

- template<class Type> XalanDestroyFunctor< Type > makeXalanDestroyFunctor (const Type *)
- template<class MapType> MapValueDeleteFunctor< MapType > makeMapValueDeleteFunctor (MapType &theMap)

## Define Documentation

#define STLHELPERS_HEADER_GUARD_1357924680

## Function Documentation

template<class MapType>
MapValueDeleteFunctor<MapType> makeMapValueDeleteFunctor | ( | MapType & | theMap | ) |

template<class Type>
XalanDestroyFunctor<Type> makeXalanDestroyFunctor | ( | const Type * |  | ) |

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.